include ../../layout/components/paginacao

div
	filtro-licencas-emitidas(paginacao="consultarLicencas.paginacao",
		atualizar-lista="consultarLicencas.atualizarListaLicencas",
		atualizar-paginacao="consultarLicencas.atualizarPaginacao",
		pesquisar-ao-inicializar="true")

	h4 Lista de licenças emitidas

	hr
	.row
		.col-md-12
			div(ng-if="consultarLicencas.licencas && consultarLicencas.licencas.length > 0")
				table.table.table-striped.table-condensed.no-margin
					thead
						tr
							th
							th.col-md-1 Nº licença
							th.col-md-1 Protocolo
							th.col-md-2 CPF/CNPJ
							th.col-md-3 Empreendimento
							th.col-md-2 Município
							th.col-md-1 Licença
							th.col-md-1.text-right Ações
					tbody
						tr(ng-repeat="licenca in consultarLicencas.licencas")

							td
								span(ng-class="{'icone-licenca-vigente': consultarLicencas.statusCaracterizacao.VIGENTE === licenca.statusCaracterizacao}")
								span(ng-class="{'icone-licenca-suspensa': consultarLicencas.statusCaracterizacao.SUSPENSO === licenca.statusCaracterizacao}")
								span(ng-class="{'icone-licenca-cancelada': consultarLicencas.statusCaracterizacao.CANCELADO === licenca.statusCaracterizacao}")
								//- span(ng-class="{'icone-renovacao': consultarLicencas.statusCaracterizacao.CANCELADO === licenca.statusCaracterizacao}")
								
							td(ng-attr-title="{{licenca.numeroLincenca}}") {{licenca.numeroLincenca }}
							td(ng-attr-title="{{licenca.numeroProcesso}}") {{licenca.numero }}
							td {{licenca.cpfEmpreendimento ? licenca.cpfEmpreendimento : licenca.cnpjEmpreendimento | brCpfCnpj}}
							td.break-word {{licenca.denominacaoEmpreendimento}}
							td {{licenca.municipioEmpreendimento}}/{{licenca.siglaEstadoEmpreendimento}}
							td {{licenca.tipoLicenca}}
							td
								span.pull-right

									.dropdown.action-table(ng-class="{'last-dropdown':$last}")
										button#dropdownMenu1.btn.btn-default.dropdown-toggle(type='button', data-toggle='dropdown',
											aria-haspopup='true', aria-expanded='true', ng-click='consultarLicencas.ajustarTamanhoContainer($last)')
											| Ações &nbsp;
											span.caret
										ul.dropdown-menu.dropdown-menu-right(aria-labelledby='dropdownMenu1')
											li(ng-if="consultarLicencas.statusCaracterizacao.SUSPENSO !== licenca.statusCaracterizacao && consultarLicencas.statusCaracterizacao.CANCELADO !== licenca.statusCaracterizacao && consultarLicencas.usuarioLogadoCodigoPerfil === consultarLicencas.perfis.PRESIDENTE && consultarLicencas.isDispensaVisivel(licenca)")
												a(ng-click="consultarLicencas.recuperarInfoLicenca(licenca, true)")
													i.glyphicon.glyphicon-minus-sign
													span Suspender licença
											li(ng-if="consultarLicencas.statusCaracterizacao.SUSPENSO !== licenca.statusCaracterizacao && consultarLicencas.statusCaracterizacao.CANCELADO !== licenca.statusCaracterizacao && consultarLicencas.usuarioLogadoCodigoPerfil === consultarLicencas.perfis.PRESIDENTE && consultarLicencas.isDispensaVisivel(licenca)")
												a(ng-click="consultarLicencas.recuperarInfoLicenca(licenca, false)")
													i.glyphicon.glyphicon-ban-circle
													span Cancelar licença
											li
												a(ng-click="consultarLicencas.downloadLicenca(licenca)")
													i.glyphicon.glyphicon-eye-open
													span Visualizar licença
				.legenda
					span.col-md-4.icone-licenca-vigente.legenda-margin Vigente
					span.col-md-4.icone-licenca-suspensa.legenda-margin Suspensa
					span.col-md-4.icone-licenca-cancelada.legenda-margin(style="margin-bottom:23px") Cancelada
					//- span.col-md-4.icone-renovacao.legenda-margin Renovado

				+paginacao('consultarLicencas.paginacao', 'consultarLicencas.onPaginaAlterada')

		.row(ng-show="!consultarLicencas.licencas || consultarLicencas.licencas.length == 0")
			.col-md-12
				p.empty-result Não existem dados a serem exibidos.